#! /usr/bin/env python

import sys
import eyeD3
from eyeD3.frames import UTF_8_ENCODING

from os import utime
from os.path import getmtime, splitext, basename

import re
mp3_file = re.compile("^([0-9]+ *- *)(.+)$")

filenames = sys.argv[1:]
for filename in filenames:
   name = splitext(basename(filename))[0]
   mtime = getmtime(filename)

   id3tag = eyeD3.Tag()
   id3tag.link(filename)

   match = mp3_file.match(name)
   if match:
      name = match.group(2)

   id3tag.setVersion(eyeD3.ID3_V2)
   id3tag.setTextEncoding(UTF_8_ENCODING)

   id3tag.setTitle(name)
   print id3tag.getTitle()

   id3tag.update()
   utime(filename, (mtime, mtime))
